Name:		seff
Version:	2.1
Release:	1%{?dist}
Summary:	Utility for computing efficiency of Slurm jobs

License:    GPL+ or Artistic
Source0:	seff-2.0.tar.gz
Patch1:		fixes.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch

Requires:	perl

%description
This is a utility for computing the CPU and memory efficiency of jobs running under Slurm.
The CPU efficiency is computed by comparing the job's actual CPU time to its actual walltime 
multiplied by its number of cores. The memory efficiency is computed by comparing the actual
maximum amount of memory used by the job to the amount of memory requested.

The RPM also includes the smail utility, which is an alternate Slurm mailer that includes 
seff output in the end-of-job notification emails. Requires MailProg directive in slurm.conf.

%prep
%setup -n seff
%patch1 -p1 -b .fixes

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}
cp -p seff %{buildroot}/%{_bindir}
cp -p smail %{buildroot}/%{_bindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/seff
%{_bindir}/smail

%changelog
* Thu Apr 16 2015 Princeton University Research Computing release - <cses@princeton.edu> - 2.0
- seff update to use Slurm Perl API, and improve array job output.

* Wed Feb 25 2015 Princeton University Research Computing release - <cses@princeton.edu> - 1.5.1
- seff update to correctly parse array jobs.

* Mon Feb 23 2015 Princeton University Research Computing release - <cses@princeton.edu> - 1.5
- seff update to correct memory efficiency computation and improve output.

* Tue Oct 28 2014 Princeton University Research Computing release - <cses@princeton.edu> - 1.4
- seff update including more info and some bug fixes. Also now includes the smail utility.

* Thu Oct 23 2014 Princeton University Research Computing release - <cses@princeton.edu> - 1.3
- Initial RPM release.
